Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045154
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2020-09-28 15:592020-10-05 07:24
ReportercbrazierView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelQA functional test
Regression date2020-07-30
Regression introduced in releasemain
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/ee36cd533dea9c2dcd5682dc9b604530c5136b55 [^]
Triggers an Emergency PackNo
Summary

0045154: Discount and promotion - Filter change are not sent to WebPOS

DescriptionWhen disabling or changing a filter related to a discount, related WebPOS IndexedDB tables are not updated.
Steps To Reproduce1/ Create a new promotion / Discount
2/ Add a characteristic filter
3/ Run incremental refresh
4/ Disable the characteristic filter
5/ Run incremental refresh
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045153 closedranjith_qualiantech_com Discount and promotion - Disabling organizations are not sent to WebPOS 
depends on backport 0045183RR20Q4 closedranjith_qualiantech_com Discount and promotion - Filter change are not sent to WebPOS 
caused by defect 0044662 closedranjith_qualiantech_com Discounts are not updated on webpos after incremental refresh 
related to defect 0045155 closedRetail Discount and promotion- Removing filters are not sent to WebPOS 
related to defect 0045188 closedranjith_qualiantech_com Incremental Refresh fail: continues the load when it should stop 

-  Notes
(0123478)
hgbot (developer)
2020-10-01 12:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/117 [^]
(0123510)
hgbot (developer)
2020-10-05 07:24

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/117 [^]
(0123512)
hgbot (developer)
2020-10-05 07:24

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 04fa2ab65d66fef642d4d25e939382c6cf458065
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-10-05T05:24:49+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/04fa2ab65d66fef642d4d25e939382c6cf458065 [^]

Fixed ISSUE-45154: Updated Discount query to prevent incremental refresh
* For Offer Child table, main discount query should not be filtered with incremental refresh

---
M src/org/openbravo/retail/posterminal/master/Discount.java
---

- Issue History
Date Modified Username Field Change
2020-09-28 15:59 cbrazier New Issue
2020-09-28 15:59 cbrazier Assigned To => Retail
2020-09-28 15:59 cbrazier Triggers an Emergency Pack => No
2020-09-28 16:17 rafaroda Tag Attached: NOR
2020-09-28 16:17 rafaroda Relationship added caused by 0044662
2020-09-28 16:18 rafaroda Relationship added related to 0045153
2020-09-28 16:18 rafaroda Relationship added related to 0045155
2020-09-28 16:19 rafaroda Priority normal => urgent
2020-09-28 16:19 rafaroda Severity critical => major
2020-09-28 16:19 rafaroda Reproducibility have not tried => always
2020-09-29 07:53 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-10-01 08:30 ranjith_qualiantech_com Status new => scheduled
2020-10-01 12:56 hgbot Note Added: 0123478
2020-10-05 07:08 marvintm Regression level => QA functional test
2020-10-05 07:08 marvintm Regression date => 2020-07-30
2020-10-05 07:08 marvintm Regression introduced in release => main
2020-10-05 07:08 marvintm Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/ee36cd533dea9c2dcd5682dc9b604530c5136b55 [^]
2020-10-05 07:08 marvintm Status scheduled => acknowledged
2020-10-05 07:08 marvintm Status acknowledged => scheduled
2020-10-05 07:24 hgbot Resolution open => fixed
2020-10-05 07:24 hgbot Note Added: 0123510
2020-10-05 07:24 hgbot Status scheduled => closed
2020-10-05 07:24 hgbot Fixed in Version => RR21Q1
2020-10-05 07:24 hgbot Note Added: 0123512
2020-10-05 11:41 rafaroda Relationship added related to 0045188


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker